<html>

<head>
<meta http-equiv="Content-Language" content="en-us">
<meta name="GENERATOR" content="Microsoft FrontPage 4.0">
<meta name="ProgId" content="FrontPage.Editor.Document">
<meta http-equiv="Content-Type" content="text/html; charset=windows-1252">
<title>1</title>
<style>
<!--
h1           { color: #FF0000; font-family: Times New Roman (serif); text-align: center; 
               font-size: 18pt; font-weight: bold }
h2           { color: #000080 }
-->
</style>
</head>

<body>

<h1><a name="intro">OverLay Plugin <sup>TM</sup> 1.0</a></h1>
<h1>-Introduction</h1>
<p>&nbsp;</p>
<h2><font face="Times New Roman"><a name="overview" href="#overview">
<font color="#000080">OverView</font></a></font></h2>
<p><font face="Times New Roman">As true as the name, OverLay plug-in is designed 
to facilitate the most useful&nbsp; image manipulation in old English 
manuscript: overlaying image. Comparing with other imaging tools, It provides 
the researchers a more friendly and simpler interface for doing the relatively 
complex operation of overlaying. The operation is fairly easy: select two pairs 
of points and then overlay.</font></p>
<p><font face="Times New Roman">OverLay plug-in also provides some complement
functions based on overlaid image layers, such as: image correction.</font></p>
<p>The overlay plug-in support all the image formats supported by Eclipse: gif, 
jpeg, tif and tiff (in Eclipse 3.0), bmp, png.</p>
<p><font face="Times New Roman">All the overlay operations can be saved into an
XML file, so that you do not need to repeat the same operation each time. You
can also flat the layers into an image file.</font></p>
<p><font face="Times New Roman">Overlay plug-in is developed with SWT/JFace
package on Eclipse platform using the basic 
Java2D operations. It is all based on Java and it works on both Linux and
Windows, for MacOSX, it currently does not work because of some GUI related bugs
from Eclipse. The image overlay algorithm should work on all the platforms.</font></p>
<p><font face="Times New Roman">The following is the basic interface for OverLay
tool. We will discuss this for more detail next. </font>The above are two images before overlay and after overlay.</p>
<blockquote>
<p><img border="0" src="../images/overview1.jpg" width="676" height="598"></p>
<blockquote>
<p>Figure1 Two images before OverLay.</p>
</blockquote>
<p><img border="0" src="../images/overview2.jpg" width="676" height="598"></p>
<blockquote>
<p>Figure2 Two images after OverLay.</p>
</blockquote>
</blockquote>
<p>&nbsp;</p>
<h2><a name="gui">Basic GUI</a></h2>
<blockquote>
<p><img border="0" src="../images/overview3.jpg" width="676" height="598"></p>
<blockquote>
<p>Figure 3 OverLay GUI</p>
</blockquote>
</blockquote>
<p>1. OverLay perspective: <font face="Times New Roman">Overlay plug-in has its own perspective 
associated with it, you can easily switch between overlay plug-in and other plug-ins.
4 is the short cut for this perspective.</font></p>
<p><font face="Times New Roman">2. Navigator view: This view comes from Eclipse,
it is used to navigate the workspace. For example, you can use it to organize
your book, and project.</font></p>
<p><font face="Times New Roman">3. OverLay view: It composes two image canvas
with a west and east layout (you can change it to north/south) and several other
controls from 6-12.</font></p>
<p><font face="Times New Roman">4. Shortcut for OverLay perspective: You can
switch from different perspectives to OverLay perspective using this shortcut.</font></p>
<p><font face="Times New Roman">5. Thumb view: Exactly like the one in
PhotoShop. It shows which portion of the image is shown in the current canvas.
It can also be used to control which portion will be shown in the current canvas
(move the red rectangle) and scale the image (using the slider bar).</font></p>
<p><font face="Times New Roman">6. Transparency slider bar: Once overlaid, it
will be enabled. You can change the transparency of the overlaid images.</font></p>
<p><font face="Times New Roman">7. Layer combo-box: You can choose which layer
should be shown in the canvas if you have more than one overlaid images.</font></p>
<p><font face="Times New Roman">8. Prompt panel: It gives some prompt for
current operation.</font></p>
<p><font face="Times New Roman">9. Color panel: Once clicked, it will show a palette
so that you can choose the right color of the pen.</font></p>
<p><font face="Times New Roman">10. Position tracer: Shows current pixel
coordinate (in image domain).</font></p>
<h2><a name="toolbar" href="#toolbar"><font color="#000080">Toolbar</font></a></h2>
<p><font face="Times New Roman">11. toolbar buttons:</font></p>
<blockquote>
  <p><img border="0" src="../images/Open16.gif" width="16" height="16">: Open
  the OverLay XML file, the file extension should be <b>.ovl</b>, the XML file
  contains overlay parameter.</p>
  <p><img border="0" src="../images/note.gif" width="62" height="13">:
  Currently, the .ovl file only saves the name of the file, not the path, so you
  must put the .ovl file in the same directory as the image files. For example,
  if you want to overlay image <i>somedir</i>/a.jpg and <i>somedir</i>/b.jpg,
  the ovl file only save a.jpg and b.jpg and other overlay parameters, you must
  also save the .ovl in the <i>somedir</i>; Otherwise, the OverLay tool can not
  load the image since it does not know the path of image file. You must only
  overlay the images in the same directory. This makes sense.</p>
  <p><img border="0" src="../images/Select16.gif" width="16" height="16">:
  Select a rectangle area, so that the transparency fade-in and fade-off can be
  accelerated. This button is only enabled after the overlay.</p>
  <p><img border="0" src="../images/Mark16.gif" width="16" height="16">: Select 
the pin-point, which will be used to overlay.</p>
  <p><img border="0" src="../images/Overlay16.gif" width="16" height="16">:
  OverLay the two images with the given pin-point mapping. After overlay, the
  plug-in will automatically show one overlaid images within one canvas.</p>
  <p><img border="0" src="../images/Remove16.gif" width="16" height="16">:
  Remove the overlaid image. Remove overlay will not remove the pin-points.</p>
  <p><img border="0" src="../images/Pencil16.gif" width="16" height="16">: The
  feather pen for image correction.</p>
  <p><img border="0" src="../images/Eyedrop16.gif" width="16" height="16">: The
  eye-dropper for sample right color from image.</p>
  <p><img border="0" src="../images/ZoomIn16.gif" width="16" height="16">: Zoom
  in lense.</p>
  <p><img border="0" src="../images/ZoomOut16.gif" width="16" height="16">: Zoom
  out lense.</p>
  <p><img border="0" src="../images/Save16.gif" width="16" height="16">: Save
  the current overlay into either XML file or image file. It will popup a dialog
  as following:</p>
  <blockquote>
    <p><img border="0" src="../images/save_dlg.jpg" width="300" height="400">&nbsp;
    <img border="0" src="../images/save_dlg2.jpg" width="300" height="400"></p>
    <p>Figure 4 Save dialog : left is for saving as xml type; right is for
    saving as image file.</p>
  </blockquote>
  <p>You need to:</p>
  <ol>
    <li>Choose the type of file you wan to save, one is xml file, whose
  extension is <b>.ovl</b>, or the image file such as jpeg.</li>
    <li>Select the file for save.</li>
    <li>Choose save mode for XML: either append to the end of the current xml
      file or overwrite it.</li>
    <li>Choose the overlay name or add a customized one.</li>
  </ol>
  <p><img border="0" src="../images/Help16.gif" width="16" height="16">: Show
  simple help information.</p>
  <p><img border="0" src="../images/Pencil16_pencil.gif" width="16" height="16">:
  Change the line size of the current pen.</p>
</blockquote>
<p><b><a name="dropdownmenu" href="#contextmenu"><font size="5" color="#000080">Dropdown
menu</font></a></b></p>
<blockquote>
<p><img border="0" src="../images/dropdown-menu.jpg" width="143" height="74"></p>
<p>Figure 5 dropdown menu</p>
</blockquote>
<p>12. Local drop down menu:</p>
<blockquote>
  <p><img border="0" src="../images/Option16.gif" width="16" height="16">:
  Choose overlay option. Currently, there are two kinds of option: one is normal
  mode, which simply blend image F(orground) over image B(ackground); the other
  is to ignore the white background color of F and blend non-white pixel of F
  over image B.&nbsp;</p>
  <blockquote>
<p><img border="0" src="../images/option-dlg.jpg" width="300" height="200"></p>
<p>Figure 6 Overlay option dialog.</p>
  </blockquote>
<p><img border="0" src="../images/Import16.gif" width="16" height="16">: This
imports the processed image from MIP image tool to Overlay tool for overlay. It
allows overlay tool to collaborate with MIP image tool.</p>
<p><img border="0" src="../images/Help16.gif" width="16" height="16">: Simple
help.</p>
</blockquote>
<p><b><a name="contextmenu" href="#contextmenu"><font size="5" color="#000080">
Context menu</font></a></b></p>
<blockquote>
<p><img border="0" src="../images/context_menu.jpg" width="264" height="306"></p>
<p>Figure 7 Context menu</p>
</blockquote>
<p>13. Context menu:</p>
<p>As same as the toolbar button, the context menu may change in different
session dynamically. The menu items can be divided into several categories:</p>
<ol type="A">
  <li>Loading image:
    <p><img border="0" src="../images/Open16.gif" width="16" height="16">: Load
    image file from file system. You may not use this loading since the OverLay
    tool now support drag and drop function, so that you can drag image from
    current workspace and drop it to the correct canvas.</p>
    <p>&nbsp;</li>
  <li>Change layout:
    <p><img border="0" src="../images/WnE16.gif" width="16" height="16">: This
    change the layout to West-East.</p>
    <p><img border="0" src="../images/NnS16.gif" width="16" height="16">: This
    change the layout to North-South.</p>
    <p><img border="0" src="../images/One16.gif" width="16" height="16">: Show
    single canvas only.</p>
    <p><img border="0" src="../images/Two16.gif" width="16" height="16">: Show
    both canvases.</p>
    <p>&nbsp;</li>
  <li>Pin-point selection:
    <p>You totally need two pairs mapping points for overlay. If you have
    already have two pairs of pin-points, you will&nbsp; notice that the <img border="0" src="../images/Mark16.gif" width="16" height="16">
    button will be disabled. You may remove some point to enable it:</p>
    <p>Remove last point: Remove the last pin-point you have chosen.</p>
    <p>Remove all: Remove all the pin-points you have chosen.</p>
    <p>&nbsp;</li>
  <li>Transform:
<p><img border="0" src="../images/Fliph16.gif" width="16" height="16">: Flip 
horizontally.</p>
<p><img border="0" src="../images/Flipv16.gif" width="16" height="16">: Flip 
vertically.</p>
<p><img border="0" src="../images/Rotate16.gif" width="16" height="16">: Rotate 
clock-wise.</p>
<p><img border="0" src="../images/Move16.gif" width="16" height="16">: Move the 
image arbitrarily.</p>
<p><img border="0" src="../images/Content16.gif" width="16" height="16">: Resize 
the image so that it can fit the current window.</p>
<p><img border="0" src="../images/Normal16.gif" width="16" height="16">: Resize 
the image to the original size.</p>
    <p><img border="0" src="../images/Fith16.gif" width="16" height="16">: Fit
    the image to the current canvas horizontally.</p>
    <p><img border="0" src="../images/Fitv16.gif" width="16" height="16">: Fit
    the image to the current canvas vertically.</p>
    <p>&nbsp;</li>
</ol>

</body>

</html>